@import url('https://fonts.googleapis.com/css2?family=Courgette&family=Fira+Code:wght@300;400;500;600;700&family=Oswald:wght@600&display=swap');

* {
  box-sizing: border-box;
}

html {
  font-size: .625em;
  font-size: calc(1em*.625);
  font-size: 1.2rem;
}

.container,
.concerned-container {
  margin-left: auto;
  margin-right: auto;
  max-width: 1050px;
  width: 90%;
  padding: 2em 0;
}

.container {
  background-color: #fff;
}

img {
  max-width: 100%;
}

body {
  font-family: 'Fira Code', monospace;
  margin: 0;
  color: rgb(54, 54, 54);
  line-height: 1.4;
}

*::selection,
*::-moz-selection {
  color: white;
  background-color: #ea19de;
  text-shadow: none;
}

a {
  text-decoration: none;
}

.reveal {
  opacity: 0;
  transition: 2s all ease;
}

.reveal.active {
  opacity: 1;
}

/************************
    HEADER/FOOTER
************************/
header {
  background-color: #ea19de;
  box-shadow: 0 .1em 1em #20041f;
  position: sticky;
  z-index: 100;
  top: 0;
  display: flex;
}

#mobile-logo-container {
  display: flex;
  padding-top: 1em;
}

#mobile-menu {
  margin-left: 1em;
  cursor: pointer;
  color: #fff;
}

#mobile-menu::before {
  color: #fff;
  font-size: 2.5rem;
}

#app-logo-link,
#app-logo {
  height: 3.5em;
}

#hidden-menu {
  position: fixed;
  height: 100vh;
  width: 80vw;
  left: -80vw;
  top: 0;
  display: block;
  background-color: #ea19de;
  background-image: url('../images/Logo_ss_fond.png');
  background-repeat: no-repeat;
  background-position-x: left;
  background-position-y: bottom;
}

#full-screen-menu.active {
  position: fixed;
  height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.4);
}

#hidden-menu.display-menu {
  transform: translate(80vw);
}

#full-screen-menu.active,
#hidden-menu.display-menu {
  transition: all .5s ease-in-out;
}

#hidden-menu {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
}

.nav {
  list-style: none;
  padding-left: 0;
  text-align: center;
  margin: 0;
}

.nav li {
  border-bottom: 1px solid rgba(255, 255, 255, .5);
}

.nav li:first-child {
  border-top: 1px solid rgba(255, 255, 255, .5);
}

.nav li:hover,
.nav li.current-route {
  background-color: #20041f;
}

.nav li:hover,
.footer-contact li:hover {
  position: relative;
  transform: scale(1.1);
  transition: all .2s;
}

.nav a {
  padding: 1em;
  display: block;
  text-transform: uppercase;
  color: rgba(255, 255, 255, .9);
  transition: all .4s;
}

footer {
  background: linear-gradient(#000000, #130E0A 10%);
  min-height: 20vh;
}

.footer-contact-section {
  padding: 2em 0 1em;
}

.footer-contact-section p {
  color: #fff;
  text-align: center;
}

.footer-contact {
  list-style: none;
  margin: 0;
  padding: 0;
}

.footer-contact {
  display: flex;
  justify-content: center;
  gap: 1em;
}

.footer-contact i {
  cursor: pointer;
  font-size: 1.5em;
}

.footer-contact i {
  color: #FFF;
}

.footer-links {
  font-size: .8em;
  display: block;
  color: #FFF;
  text-align: center;
}

#footer-mentions {
  margin: 0;
  padding-bottom: 1em;
}

main {
  min-height: 85vh;
}

h1,
h2,
h3 {
  font-family: 'Oswald', sans-serif;
}

h1 {
  color: rgb(85, 9, 79);
  font-size: 1.6rem;
}

h2 {
  color: #20041f;
  font-size: 1.4rem;
}

h3 {
  color: #ea19de;
}

p b,
legend,
strong {
  font-weight: unset;
  /* background-color: rgb(85, 9, 79); */
  background: linear-gradient(rgba(150, 150, 150, 0) 60%, #f7ff15 60% 100%);
  /* color: white; */
}

em {
  font-family: 'Courgette', cursive;
  font-style: normal;
  color: rgb(54, 54, 54);
}



.home-message {
  min-height: 30vh;
  overflow: hidden;
  background-color: #20041f;
}

.home-message p {
  color: #FFF;
  background-color: unset;
}

.flash-notice {
  padding: 0;
  text-align: center;
  animation: blinking 0.5s infinite;
}

@keyframes blinking {
  50% {
    color: #ea19de;
  }
}

/* Animation */
.anim-typewriter {
  font-family: monospace;
  color: #0000;
  background:
    linear-gradient(-90deg, #fff 5px, #0000 0) 10px 0,
    linear-gradient(#fff 0 0) 0 0;
  background-size: calc(var(--n)*1ch) 200%;
  -webkit-background-clip: padding-box, text;
  background-clip: padding-box, text;
  background-repeat: no-repeat;
  animation:
    b .5s infinite steps(1),
    t calc(var(--n)*.1s) steps(var(--n)) forwards;
}

@keyframes t {
  from {
    background-size: 0 200%
  }
}

@keyframes b {
  50% {
    background-position: 0 -100%, 0 0
  }
}

.savoir-faire {
  margin-bottom: 2em;
}

.concerned {
  position: relative;
  padding-top: 10em;
  padding-bottom: 10em;
  background-color: #f3e5f2;
}

.concerned-left {
  position: absolute;
  font-size: 15rem;
  color: #20041f50;
  text-align: center;
  width: 90%;
}

.portrait {
  display: block;
  margin: 4em auto 1em;
  width: 6em;
}

#contact-us,
#add-company,
#login-form {
  position: relative;
  padding: 2em 0;
  margin-top: 5em;
}

#contact-us::before {
  content: "";
  background-image: url('../images/contact_us_bg.png');
  background-position: right;
  background-size: cover;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  opacity: 0.3;
}

.errors li::marker,
#contact-us li::marker,
#add-company li::marker,
#login-form li::marker {
  font-family: 'Font Awesome 6 Free';
  font-weight: 900;
  content: '\f00d  ';
  color: rgb(167, 37, 37);
}

.errors,
#contact-us ul,
#add-company ul,
#login-form ul {
  font-weight: 600;
}

#contact-us fieldset,
#add-company fieldset,
#login-form fieldset {
  z-index: 10;
  position: relative;
  margin-bottom: 1em;
  border: none;
}

#contact-us legend,
#add-company legend,
#login-form legend {
  color: rgb(32, 4, 31);
}


#contact-us .form-control,
#add-company .form-control,
#login-form .form-control {
  border-radius: 0.2rem;
  background-color: rgba(255, 255, 255, .2);
  width: 100%;
  margin-top: 1em;
  padding: .5em;
  border: none;
  transition: all 1s ease-in;
  border-bottom: 1px solid rgba(32, 4, 31, 0);
}

#contact-us .form-control:focus-visible,
#add-company .form-control:focus-visible,
#login-form .form-control:focus-visible {
  outline: none;
  border-bottom: 1px solid rgba(32, 4, 31, 1);
}

#contact-us textarea {
  resize: vertical;
}

.btn {
  font-size: 1.2rem;
  font-family: 'Oswald', sans-serif;
  display: block;
  text-align: center;
  background-color: #ea19de;
  color: white;
  padding: .5em 1em;
  margin-left: auto;
  margin-right: auto;
  border-radius: .3em;
  border-color: #ea19de;
  box-shadow: rgb(32, 4, 31) 5px 5px 0px 0px;
  top: 0;
  left: 0;
  transition: all .15s linear 0s;
  -webkit-transition: all .15s linear 0s;
  position: relative;
  cursor: pointer;
  width: 60%;
}

.btn:hover {
  box-shadow: 0 0 0 rgb(99, 31, 81);
  top: 5px;
  left: 4px;
}

.card ul {
  list-style-type: none;
  padding-left: 1em;
}

.card li {
  text-indent: .5em;
}

.card li::before {
  position: relative;
  top: .1em;
  left: -.4em;
  font-family: 'Font Awesome 6 Free';
  font-weight: 900;
  content: '\f14a';
  color: #ea19de;
}

.member-picture {
  height: 100px;
}

@media screen and (min-width: 670px) {

  h1 {
    margin-top: 3em;
    margin-bottom: 2em;
  }

  .savoir-faire {
    display: flex;
  }


  .savoir-faire:nth-child(even) {
    flex-direction: row-reverse;
  }

  .savoir-faire-image {
    width: 50%;
    padding: 2em;
  }

  .savoir-faire-text {
    width: 50%;
    padding: 0 2em;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .savoir-faire-text h2 {
    text-align: center;
  }

  .concerned-container {
    display: flex;
  }

  .concerned-left {
    position: static;
    width: 50%;
  }

  .concerned-right {
    width: 50%;
  }

  .concerned .btn {
    width: 25%;
  }

  .card {
    margin-top: 4em;
    margin-bottom: 4em;
  }

  .clearfix::after {
    content: "";
    display: block;
    clear: both;
  }

  .clearfix img {
    width: 25%;
    margin-bottom: 1em;
  }

  .clearfix:nth-child(odd) img {
    float: left;
    margin-right: 2em;
  }

  .clearfix:nth-child(even) img {
    float: right;
    margin-left: 2em;
  }

  .wwa {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10%;
  }

  .wwa:nth-of-type(even) {
    flex-direction: row-reverse;
    text-align: right;
  }

  .portrait,
  .portrait+h2 {
    margin-bottom: 0;
    display: inline-block;
  }

  .portrait {
    margin-top: 2em;
    width: 12em;
    height: fit-content;
  }
}

@media screen and (min-width: 800px) {
  header {
    justify-content: space-between;
  }

  #app-logo-link {
    margin: 0;
    height: 6em;
  }

  #app-logo-link img {
    height: 100%;
  }

  #mobile-logo-container i {
    display: none;
  }

  #modale {
    height: 100%
  }

  #hidden-menu {
    position: unset;
    background: unset;
    width: auto;
    height: auto;
    flex-direction: column-reverse;
    justify-content: space-between;
    height: 100%;
  }

  #hidden-menu .nav {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
  }

  #hidden-menu .nav li {
    border: unset;
  }

  .home-message {
    margin: 2em auto 0;
    margin-right: auto;
    max-width: 1050px;
    width: 90%;
    padding: 2em 0;
  }

  #contact-us,
  #add-company {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .user-fs {
    width: 48%;
  }

  .message-fs {
    width: 100%;
  }
}

@media screen and (min-width: 1200px) {
  #full-screen-menu {
    margin-right: 1em;
  }
}

@media screen and (min-width: 1400px) {
  #full-screen-menu {
    margin-right: 2em;
  }
}